---
title: 決済後に情報を取得する
url: ja/amazon-pay-checkout/ja-get-info-post-checkout.html
---

決済が成功したら、<a href="../amazon-pay-api-v2/charge-permission.md#get-charge-permission" target="_blank" rel="noopener noreferrer">Get Charge Permission</a>を取得して、購入者情報と配送先住所を取得します。詳細を取得できるのは、OneTimeのCharge Permissionが作成されてから30日間のみです。詳細については、 <a href="../amazon-pay-api-v2/charge-permission.md" target="_blank" rel="noopener noreferrer">APIリファレンスガイド</a>を参照してください。

<!-- <div style="display:none" class="environmentSpecificKeys">
  <div markdown="span" class="alert alert-info" role="alert"><i class="fa fa-info-circle"></i> <b>Note:</b> publicKeyIdの先頭に環境名が<b>付与されていない</b>場合 (SANDBOX'や'LIVE'で始まっていない場合)、<a href='#' onclick='window.location.href=window.location.href.split("?")[0]+"?environmentSpecificKeys=false"' rel='noopener noreferrer'>こちらの手順</a>を確認してください。</div>
</div>
<div style="display:none" class="notEnvironmentSpecificKeys">
  <div markdown="span" class="alert alert-info" role="alert"><i class="fa fa-info-circle"></i> <b>Note:</b> publicKeyIdの先頭に環境名が付与されている場合 (例: SANDBOX-AFVX7ULWSGBZ5535PCUQOY7B)、<a href='#' onclick='window.location.href=window.location.href.split("?")[0]+"?environmentSpecificKeys=true"' rel='noopener noreferrer'>こちらの手順</a>を確認してください。</div>
</div> -->

#### リクエスト


<div style="display:none" class="environmentSpecificKeys">
<code style="color:black">
curl "https://pay-api.amazon.com/:version/chargePermissions/:chargePermissionId"<br />
-X GET<br />
-H "authorization:Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"<br />
-H "x-amz-pay-date:20201012T235046Z"<br />
</code>
</div>
<div style="display:none" class="notEnvironmentSpecificKeys">
<code style="color:black">
curl "https://pay-api.amazon.com/:environment/:version/chargePermissions/:chargePermissionId"<br />
-X GET<br />
-H "authorization:Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"<br />
-H "x-amz-pay-date:20201012T235046Z"<br />
</code>
</div>

#### リクエストパラメータ

<table width="100%" border="1">
    <tbody>
        <tr id='cJS9CAFNCvt'>
            <td id='s:cJS9CAFNCvt;cJS9CAwLlhz' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>名前
                <br /></td>
            <td id='s:cJS9CAFNCvt;cJS9CAhKPAZ' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>ロケーション
                <br /></td>
            <td id='s:cJS9CAFNCvt;cJS9CAJ9HKU' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>説明
                <br /></td>
        </tr>
        <tr id='cJS9CA0EwNI'>
            <td id='s:cJS9CA0EwNI;cJS9CAwLlhz' style='vertical-align: top;'>chargePermissionId<br><b>(必須)</b><br><br>Type: string
                <br /></td>
            <td id='s:cJS9CA0EwNI;cJS9CAhKPAZ' style='vertical-align: top;'>Path Parameter
                <br /></td>
            <td id='s:cJS9CA0EwNI;cJS9CAJ9HKU' style='vertical-align: top;'>Charge Permission識別子
                <br /></td>
        </tr>
    </tbody>
</table>

#### レスポンス

```
{
    "chargePermissionId": "chargePermission-1",
    "chargePermissionReferenceId": null,
    "chargePermissionType": "Recurring",   
    "recurringMetadata": {
        "frequency": {
            "unit": "Month",
            "value": "1" 
        },
        "amount": {
            "amount": "14",
            "currencyCode": "USD"
        }
    },
    "buyer": {
        "buyerId": "buyerId",
        "name": "name-1",
        "email": "name@amazon.com",
        "phoneNumber": "800-000-0000",
        "primeMembershipTypes": null
    },
    "releaseEnvironment": "Live",
    "shippingAddress": {  // Null for PayOnly product type
        "name": "Work",
        "addressLine1": "440 Terry Ave",
        "addressLine2": "",
        "addressLine3": "",
        "city": "Seattle",
        "county": "King",
        "district": "Seattle",
        "stateOrRegion": "WA",
        "postalCode": "98121",
        "countryCode": "US",
        "phoneNumber": "800-000-0000"
    },
    "billingAddress": {
        "name": "Work",
        "addressLine1": "440 Terry Ave",
        "addressLine2": "",
        "addressLine3": "",
        "city": "Seattle",
        "county": "King",
        "district": "Seattle",
        "stateOrRegion": "WA",
        "postalCode": "98121",
        "countryCode": "US",
        "phoneNumber": "800-000-0000"
    },
    "paymentPreferences": [{
        "paymentDescriptor": null
    }],
    "statusDetails": {
        "state": "Chargeable",
        "reasons": null,
        "lastUpdatedTimestamp": "20190714T155300Z"
    },
    "creationTimestamp": "20190714T155300Z",
    "expirationTimestamp": "20190715T155300Z",
    "merchantMetadata": {
        "merchantReferenceId": "123-77-876", 
        "merchantStoreName": "AmazonTestStoreFront",
        "noteToBuyer": "merchantNoteForBuyer",
        "customInformation": "This is custom information"
    },
    "platformId": "SPId",
    "limits": {
        "amountLimit": {
            "amount": "14.00",
            "currencyCode": "USD"
        },
        "amountBalance": {
            "amount": "14.00",
            "currencyCode": "USD"
        }
    },
    "presentmentCurrency": "USD"
}
```






